package org.diyefi.openlogviewer;

/**
 * Package level Key storage to keep functional classes clean.
 */
public final class Keys {
	// Literally!
	public static final String CONTROL_W = "ctrl W";
	public static final String CONTROL_Q = "ctrl Q";
	public static final String COMMAND_W = "meta W";

	public static final String SPACE = "SPACE";
	public static final String ALT_ENTER = "alt ENTER";
	public static final String ESCAPE = "ESCAPE";
	public static final String F11 = "F11";

	public static final String UP = "UP";
	public static final String DOWN = "DOWN";
	public static final String LEFT = "LEFT";
	public static final String RIGHT = "RIGHT";

	public static final String HOME = "HOME";
	public static final String END = "END";
	public static final String PAGE_UP = "PAGE_UP";
	public static final String PAGE_DOWN = "PAGE_DOWN";

	public static final String CONTROL_LEFT = "ctrl LEFT";
	public static final String CONTROL_RIGHT = "ctrl RIGHT";
	public static final String CONTROL_ADD = "ctrl ADD";
	public static final String CONTROL_EQUALS = "ctrl EQUALS";
	public static final String CONTROL_MINUS = "ctrl MINUS";
	public static final String CONTROL_SUBTRACT = "ctrl SUBTRACT";

	// Input to action bindings
	public static final String CLOSE_WINDOW = "closeWindow";

	public static final String PLAY = "play";

	public static final String ENTER_FULL_SCREEN = "enterFullScreen";
	public static final String EXIT_FULL_SCREEN = "exitFullScreen";
	public static final String TOGGLE_FULL_SCREEN = "toggleFullScreen";

	public static final String MOVE_TO_BEGINNING = "moveToBeginning";
	public static final String MOVE_TO_END = "moveToEnd";
	public static final String MOVE_BACKWARD = "moveBackward";
	public static final String MOVE_BACKWARD_COARSE = "moveBackwardCoarse";
	public static final String MOVE_FORWARD = "moveForward";
	public static final String MOVE_FORWARD_COARSE = "moveForwardCoarse";

	public static final String ZOOM_IN_COARSE = "zoomInCoarse";
	public static final String ZOOM_OUT_COARSE = "zoomOutCoarse";

	// Events
	public static final String SPLIT = "Split";
	public static final String LOG_LOADED = "LogLoaded";

	// Properties
	public static final String APPLE_LAF_USE_SCREEN_MENU_BAR = "apple.laf.useScreenMenuBar";
	public static final String LINE_SEPARATOR = "line.separator";
	public static final String USER_HOME = "user.home";
	public static final String OS_NAME = "os.name";

	/**
	 * Prevent instantiation.
	 */
	private Keys() {
	}
}
