package org.diyefi.openlogviewer;

/**
 * Package level Key storage to keep functional classes clean.
 */
public final class Text {
	// Happy messages
	public static final String TRUE = "True";
	public static final String FALSE = "False";

	public static final String FRAMES_PER_SECOND = "FramesPerSecond";

	public static final String CSV_LOADED_MSG_PART1 = "CsvLoadedMsgPart1";
	public static final String CSV_LOADED_MSG_PART2 = "CsvLoadedMsgPart2";
	public static final String CSV_LOADED_MSG_PART3 = "CsvLoadedMsgPart3";

	public static final String FREEEMS_BINARY_LOGS = "FreeEMSBinaryLogs";
	public static final String MS_COMPATIBLE_LOGS = "MegaSquirtCompatibleDataLogs";

	public static final String TOO_MANY_ARGUMENTS = "TooManyArguments";
	public static final String ATTEMPTING_TO_OPEN_FILE = "AttemptingToOpenFile";
	public static final String FILE_TYPE_NOT_SUPPORTED = "FileTypeNotSupported";
	public static final String FILE_ARGUMENT_NOT_GOOD = "FileArgumentNotGood";

	public static final String MEMORY_RESIZE_WARNING = "MemoryResizeWarning";
	public static final String MEMORY_OLD_CAPACITY = "MemoryOldCapacity";
	public static final String MEMORY_NEW_CAPACITY = "MemoryNewCapacity";
	public static final String MEMORY_RESIZES_TOOK = "MemoryResizesTook";
	public static final String MEMORY_RESIZES_UNIT = "MemoryResizesUnit";
	public static final String MEMORY_BEFORE = "MemoryBefore";
	public static final String MEMORY_AFTER = "MemoryAfter";
	public static final String MEMORY_MAX = "MemoryMax";
	public static final String MEMORY_FREE = "MemoryFree";
	public static final String MEMORY_TOTAL = "MemoryTotal";
	public static final String JVM_HELP_MESSAGE = "JvmHelpMessage";
	public static final String DETECTED_OOME_MEMORY_DOOM = "DetectedOutOfMemoryDoom";
	public static final String MEMORY_TOTAL_AVAILABLE = "MemoryTotalAvailable";
	public static final String MEMORY_TOTAL_REQUIRED = "MemoryTotalRequired";
	public static final String MEMORY_TOTAL_INCREASE = "MemoryTotalIncrease";
	public static final String MEMORY_TOTAL_OVERHEAD = "MemoryTotalOverhead";
	public static final String MEG_INSUFFICIENT_MEMORY_FOR_INCREASE = "MegInsufficientMemoryForIncrease";
	public static final String RESIZE_COMPLETED_PART1 = "ResizeCompletedPart1";
	public static final String RESIZE_COMPLETED_PART2 = "ResizeCompletedPart2";
	public static final String RESIZE_COMPLETED_PART3 = "ResizeCompletedPart3";
	public static final String RESIZE_COMPLETED_PART4 = "ResizeCompletedPart4";
	public static final String RESIZE_COMPLETED_PART5 = "ResizeCompletedPart5";

	// Log loading
	public static final String NO_LOG_LOADED = "NoLogLoaded";
	public static final String LOADING_LOG = "LoadingLog";
	public static final String DECODER_CRASHED_PART1 = "DecoderCrashedPart1";
	public static final String DECODER_CRASHED_PART2 = "DecoderCrashedPart2";

	// Generic button labels
	public static final String OK_BUTTON = "OkButton";
	public static final String CANCEL_BUTTON = "CancelButton";
	public static final String ADD_DIVISION_BUTTON = "AddDivisionButton";
	public static final String REMOVE_DIVISION_BUTTON = "RemoveDivisionButton";
	public static final String COLOR_BUTTON = "ColorButton";
	public static final String APPLY_BUTTON = "ApplyButton";
	public static final String SAVE_BUTTON = "SaveButton";
	public static final String RESET_MIN_MAX_BUTTON = "ResetMinMaxButton";

	// Tool tips
	public static final String CLICK_TO_REMOVE_DIVISION = "ClickToRemoveDivision";
	public static final String FIELD_INFORMATION_PART1 = "FieldInformationPart1";
	public static final String FIELD_INFORMATION_PART2 = "FieldInformationPart2";
	public static final String FIELD_INFORMATION_PART3 = "FieldInformationPart3";
	public static final String FIELD_INFORMATION_PART4 = "FieldInformationPart4";
	public static final String FIELD_INFORMATION_PART5 = "FieldInformationPart5";
	public static final String FIELD_INFORMATION_PART6 = "FieldInformationPart6";

	// Menus and menu items
	public static final String FILE_MENU_NAME = "FileMenuName";
	public static final String FILE_MENU_ITEM_OPEN_NAME = "FileMenuItemOpenName";
	public static final String FILE_MENU_ITEM_RELOAD_NAME = "FileMenuItemReloadName";
	public static final String FILE_MENU_ITEM_QUIT_NAME = "FileMenuItemQuitName";

	public static final String VIEW_MENU_NAME = "ViewMenuName";
	public static final String VIEW_MENU_ITEM_FULL_SCREEN_NAME = "ViewMenuItemFullScreenName";
	public static final String VIEW_MENU_ITEM_SCALE_AND_COLOR_NAME = "ViewMenuItemScaleAndColorName";
	public static final String VIEW_MENU_ITEM_FIELDS_AND_DIVISIONS_NAME = "ViewMenuItemFieldsAndDivisionsName";

	public static final String HELP_MENU_NAME = "HelpMenuName";
	public static final String HELP_MENU_ITEM_ABOUT_NAME = "HelpMenuAboutName";

	public static final String OPTIONS_MENU_NAME = "OptionsMenuName";
	public static final String OPTIONS_MENU_ITEM_ADD_PROPERTY_NAME = "OptionsMenuItemAddPropertyName";
	public static final String OPTIONS_MENU_ITEM_REMOVE_PROPERTIES_NAME = "OptionsMenuItemRemovePropertiesName";

	// Ordinary messages
	public static final String CHOOSE_BACKGROUND_COLOR = "ChooseBackgroundColor";
	public static final String ENTER_HEADER_FOR_PROPERTY = "EnterHeaderForProperty";
	public static final String CHOOSE_NEW_COLOR = "ChooseNewColor";
	public static final String MIN_PROPERTY = "MinProperty";
	public static final String MAX_PROPERTY = "MaxProperty";
	public static final String COLOR_PROPERTY = "ColorProperty";
	public static final String SPLIT_PROPERTY = "SplitProperty";
	public static final String ACTIVE_PROPERTY = "ActiveProperty";
	public static final String DISPLAY_MIN = "DisplayMin";
	public static final String DISPLAY_MAX = "DisplayMax";

	// Errors and warnings
	public static final String ERROR = "Error";

	public static final String OPV2NFES = "OPV2NFES";

	public static final String CANT_GO_FULLSCREEN_MESSAGE = "CantGoFullScreenMessage";
	public static final String FAILED_TO_GO_FULLSCREEN_MESSAGE = "FailedToGoFullScreenMessage";

	public static final String OPEN_FILE_ERROR_TITLE = "OpenFileErrorTitle";
	public static final String OPEN_FILE_ERROR_MESSAGE = "OpenFileErrorMessage";
	public static final String OPEN_LAST_FILE_ERROR_TITLE = "OpenLastFileErrorTitle";
	public static final String OPEN_LAST_FILE_ERROR_MESSAGE = "OpenLastFileErrorMessage";
	public static final String OPEN_LAST_FILE_MISSING_PROPERTY_TITLE = "OpenLastFileMissingPropertyTitle";
	public static final String OPEN_LAST_FILE_MISSING_PROPERTY_MESSAGE = "OpenLastFileMissingPropertyMessage";

	public static final String DEFAULT_BROWSER_ERROR_TITLE = "DefaultBrowserErrorTitle";
	public static final String DEFAULT_BROWSER_ERROR_MESSAGE = "DefaultBrowserErrorMessage";

	public static final String LOOK_AND_FEEL_EXCEPTION_MESSAGE_ONE = "LookAndFeelExceptionMessageOne";
	public static final String LOOK_AND_FEEL_EXCEPTION_MESSAGE_TWO = "LookAndFeelExceptionMessageTwo";
	public static final String LOOK_AND_FEEL_EXCEPTION_MESSAGE_THREE = "LookAndFeelExceptionMessageThree";
	public static final String LOOK_AND_FEEL_EXCEPTION_MESSAGE_FOUR = "LookAndFeelExceptionMessageFour";

	public static final String FAILED_TO_CREATE_DIRECTORY_MESSAGE = "FailedToCreateDirectoryMessage";
	public static final String HOME_DIRECTORY_NOT_ACCESSIBLE = "HomeDirectoryNotAccessible";

	public static final String CLASS_NOT_FOUND = "ClassNotFound";
	public static final String COULD_NOT_INSTANTIATE_CLASS = "CouldNotInstantiateClass";
	public static final String COULD_NOT_ACCESS_CLASS = "CouldNotAccessClass";
	public static final String REMOVED_FROM_PROPS = "RemovedFromProps";

	public static final String IO_ISSUE_GETTING_PROPERTY = "IoIssueGettingProperty";
	public static final String IO_ISSUE_SAVING_PROPERTY = "IoIssueSavingProperty";
	public static final String IO_ISSUE_REMOVING_PROPERTY = "IoIssueRemovingProperty";

	/**
	 * Prevent instantiation.
	 */
	private Text() {
	}
}
